org.modeshape.jcr.query.engine.process

## Class BufferedRows.QuadNodeRowSerializer

- java.lang.Object
- - org.modeshape.jcr.query.engine.process.BufferedRows.QuadNodeRowSerializer

- All Implemented Interfaces:
    Serializable, org.mapdb.Serializer<BufferedRows.QuadNodeRow>, BufferedRows.BufferedRowFactory<BufferedRows.QuadNodeRow>
  Enclosing class:
    BufferedRows

      protected static final class BufferedRows.QuadNodeRowSerializer
      extends Object
      implements BufferedRows.BufferedRowFactory<BufferedRows.QuadNodeRow>, Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.mapdb.Serializer

      `org.mapdb.Serializer.CompressionWrapper<E>`

  - ### Field Summary

    - ### Fields inherited from interface org.mapdb.Serializer

      `BASIC, BOOLEAN, BYTE_ARRAY, BYTE_ARRAY_NOSIZE, CHAR_ARRAY, DOUBLE_ARRAY, ILLEGAL_ACCESS, INT_ARRAY, INTEGER, JAVA, LONG, LONG_ARRAY, STRING, STRING_ASCII, STRING_INTERN, STRING_NOSIZE, UUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BufferedRows.QuadNodeRowSerializer(CachedNodeSupplier cache)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BufferedRows.QuadNodeRow` | `createRow(NodeSequence.Batch currentRow)`
    `BufferedRows.QuadNodeRow` | `deserialize(DataInput in, int available)`
    `int` | `fixedSize()`
    `void` | `serialize(DataOutput out, BufferedRows.QuadNodeRow value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BufferedRows.QuadNodeRowSerializer

          public BufferedRows.QuadNodeRowSerializer(CachedNodeSupplier cache)

  - ### Method Detail

    - #### serialize

          public void serialize(DataOutput out,
                       BufferedRows.QuadNodeRow value)
                         throws IOException

      Specified by:
        `serialize` in interface `org.mapdb.Serializer<BufferedRows.QuadNodeRow>`
      Throws:
        `IOException`

    - #### deserialize

          public BufferedRows.QuadNodeRow deserialize(DataInput in,
                                             int available)
                                               throws IOException

      Specified by:
        `deserialize` in interface `org.mapdb.Serializer<BufferedRows.QuadNodeRow>`
      Throws:
        `IOException`

    - #### createRow

          public BufferedRows.QuadNodeRow createRow(NodeSequence.Batch currentRow)

      Specified by:
        `createRow` in interface `BufferedRows.BufferedRowFactory<BufferedRows.QuadNodeRow>`

    - #### fixedSize

          public int fixedSize()

      Specified by:
        `fixedSize` in interface `org.mapdb.Serializer<BufferedRows.QuadNodeRow>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.